=begin JA

= Polvani et al. (2004) η԰ư¸

# * ⶶ ˧ (yot)
#   * $Id: exp-p04.rd,v 1.4 2011-02-20 01:09:04 yot Exp $

=end JA
=begin EN

= Baroclinic wave experiment by Polvani et al. (2004)

# * Yoshiyuki O. Takahashi (yot)
#   * $Id: exp-p04.rd,v 1.4 2011-02-20 01:09:04 yot Exp $

=end EN


=begin JA
Polvani et al. (2004) ǹԤ줿, ԰ưμ¸¹Ԥˡޤ. 
=end JA
=begin EN
A method to perform a baroclinic wave experiment by Polvani et al. (2004) is described. 
=end EN


=begin JA
== 
ܼ¸ϼ¸ѥǡѤʤ, ʲ 3 ĤΥƥåפǹԤޤ.

  * ¸ǥ쥯ȥν
  * ͤν
  * ¸μ¹
=end JA
=begin EN
== Overview
This experiment does not require additional data. So, the experiment is performed 
with the following 3 steps:

  * Preparation of directory for experiments
  * Preparation of initial condition
  * Execution of experiments
=end EN


=begin JA

== ¸ѥǥ쥯ȥ

practice ǥ쥯ȥ˰ưƤ.

  $ cd practice

Υǥ쥯ȥ, make ޥɤ¹ԤƤ.
ưŪ˼¹ԥե NAMELIST ե뤬ԡޤ. 
make ޥϸ, ޤǥ쥯ȥ̾ŬϤƤ.
(Ǥ p04-exp ȤƤޤ). 
ʹߤμϤȤꤢΤޤ Enter ϤƤ. 

  $ make

  ****** Setup a directory for a experiment ******

    Enter directory name [testXX]: p04-exp
    Directory in which executable files are prepared
      [../src/main]:
    Directory in which NAMELIST files are prepared
      [../src/main]:
    Save F90/95 source code files? [y/N]:

                  :

  *** Setup of "p04-exp" is complete ***

p04-exp Ȥǥ쥯ȥ꤬, 
¹ԥե NAMELIST ե, ɤԡޤ.
p04-exp ǥ쥯ȥ˰ưƤ.

  $ cd p04-exp

ʤ, Υǥ쥯ȥʳǤ, ¹ԥե, ե (namelist ե) 
з׻ԤȤϤǤޤ. 

=end JA
=begin EN

== Preparation of a directory for experiments

Move to "practice" directory.

  $ cd practice

In the directory, execute 'make' command. 
The execution files and the NAMELIST files will be automatically copied. 
Input directory name after inputting 'make' command. 
(It is assumed "p04-exp" in the following example). 
Input 'Enter' to the question after that. 

  $ make

  ****** Setup a directory for a experiment ******

    Enter directory name [testXX]: p04-exp
    Directory in which executable files are prepared
      [../src/main]:
    Directory in which NAMELIST files are prepared
      [../src/main]:
    Save F90/95 source code files? [y/N]: 

                  :

  *** Setup of "p04-exp" is complete ***

Then a directory 'p04-exp' is created, and executable files,
NAMELIST files, and source code files are copied to the
directory.
Move to the 'p04-exp'.

  $ cd p04-exp

Note that you can perform an experiment in any directory by using executable files and configuration (namelist) files.

=end EN


=begin JA

== ͥǡեκ

init_data  init_data_p04_T21L20.nml
Ѥƽͥե init_T21L20.nc ޤ. 

  $ ./init_data -N=init_data_p04_T21L20.nml

   *** MESSAGE [init_data] ***  Run: Initial data generation
   *** MESSAGE [init_data] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-p04.rd,v 1.4 2011-02-20 01:09:04 yot Exp $
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-p04.rd,v 1.4 2011-02-20 01:09:04 yot Exp $
   *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "init_data_p04_T21L20.nml".
                         : 
   *** MESSAGE [initial_data] ***    QVapAvr = 0.
   *** MESSAGE [initial_data] ***    Ueq     = 0.
   *** MESSAGE [initial_data] ***
   *** MESSAGE [initial_data] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-p04.rd,v 1.4 2011-02-20 01:09:04 yot Exp $
   *** MESSAGE [HistoryClose] ***  "init_T21L20.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   others                 0.200000E-01
   ------------------------------------------------
          TOTAL TIME =    0.200000E-01


== ¸μ¹

¹ԥե "dcpam_main"  NAMELIST ե
((<dcpam_p04_T21L20.nml|URL:../../../src/main/dcpam_p04_T21L20.nml>))
Ѥ, ʲΤ褦 dcpam_main ¹ԤƤ. 
ץཪλˤϿʬʬޤ. 

(ʤ, ѥĶǤϰʲˡǥץ
¹Ԥ뤳ȤϤǤʤΤդƤ. ξμ¹ˡ
˴ؤƤ, δĶǤΥץ¹ԥޥ˥奢ʤɤ򻲾Ȥ. )

  $ ./dcpam_main -N=dcpam_p04_T21L20.nml | tee p04.log

   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-p04.rd,v 1.4 2011-02-20 01:09:04 yot Exp $
   *** MESSAGE [dcpam_main] ***  NAMELIST group "dcpam_main_nml" is loaded from "dcpam_p04_T21L20.nml".
   &DCPAM_MAIN_NML FLAGDYNAMICS=T,FLAGFULLPHYSICS=F,FLAGHS94=F,FLAGVENUSSIMPLE=F,FLAGJUPITERSIMPLE=F,FLAGRADIATIONDENNOUAGCM=T,FLAGRADIATIONDCPAMEV1=F,FLAGRADIATIONDCPAMMV1=F,FLAGRADIATIONSL09=F,FLAGPHYIMP1LAYMODEL=T,FLAGPHYIMPSOILMODEL=F,FLAGPHYIMPSOILMODELSO=F,FLAGPHYIMPATMONLY=F,FLAGVERTICALFILTER=F/
   *** MESSAGE [dcpam_main] ***  FlagDynamics=<T>.
   *** MESSAGE [dcpam_main] ***  FlagRadiationDennouAGCM=<T>.
                     :
   *** MESSAGE [HistoryClose] ***  "TotEngy.nc" is closed
   *** MESSAGE [HistoryClose] ***  "Enstro.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   surface_properties     0.904434E-07
   dynamics_hspl_vas83    0.380824E+01
   mass_fixer             0.132011E+00
   check_prog_vars        0.360025E-01
   timefilter_asselin19   0.760067E-01
   others                 0.212009E+00
   ------------------------------------------------
          TOTAL TIME =    0.426427E+01

ξ, 5 ʬλʬԤޤ. 
ֲ٤ T21L20 (ٳʻ 64,  32, ľؿ 20) Ǥ. 
׻̤ U.nc  Temp.nc ȤƽϤޤ. 
ޤ, ꥹȥե뤬 rst.nc ȤƽϤޤ. 

=end JA

=begin EN

== Create initial data file

Create initial data file "init_T21L20.nc"
using "init_data" and "init_data_p04_T21L20.nml" 
  
  $ ./init_data -N=init_data_p04_T21L20.nml

   *** MESSAGE [init_data] ***  Run: Initial data generation
   *** MESSAGE [init_data] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-p04.rd,v 1.4 2011-02-20 01:09:04 yot Exp $
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-p04.rd,v 1.4 2011-02-20 01:09:04 yot Exp $
   *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "init_data_p04_T21L20.nml".
                         : 
   *** MESSAGE [initial_data] ***    QVapAvr = 0.
   *** MESSAGE [initial_data] ***    Ueq     = 0.
   *** MESSAGE [initial_data] ***
   *** MESSAGE [initial_data] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-p04.rd,v 1.4 2011-02-20 01:09:04 yot Exp $
   *** MESSAGE [HistoryClose] ***  "init_T21L20.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   others                 0.200000E-01
   ------------------------------------------------
          TOTAL TIME =    0.200000E-01


== Run the experiment

Using an executable files 'dcpam_main' and a NAMELIST file
((<dcpam_p04_T21L20.nml|URL:../../../src/main/dcpam_p04_T21L20.nml>)), 
execute 'dcpam_main' as follows. 
This program will be finished in few minutes - tens of minutes. 

  $ ./dcpam_main -N=dcpam_p04_T21L20.nml | tee p04.log

   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20110221-4 $$Id: exp-p04.rd,v 1.4 2011-02-20 01:09:04 yot Exp $
   *** MESSAGE [dcpam_main] ***  NAMELIST group "dcpam_main_nml" is loaded from "dcpam_p04_T21L20.nml".
   &DCPAM_MAIN_NML FLAGDYNAMICS=T,FLAGFULLPHYSICS=F,FLAGHS94=F,FLAGVENUSSIMPLE=F,FLAGJUPITERSIMPLE=F,FLAGRADIATIONDENNOUAGCM=T,FLAGRADIATIONDCPAMEV1=F,FLAGRADIATIONDCPAMMV1=F,FLAGRADIATIONSL09=F,FLAGPHYIMP1LAYMODEL=T,FLAGPHYIMPSOILMODEL=F,FLAGPHYIMPSOILMODELSO=F,FLAGPHYIMPATMONLY=F,FLAGVERTICALFILTER=F/
   *** MESSAGE [dcpam_main] ***  FlagDynamics=<T>.
   *** MESSAGE [dcpam_main] ***  FlagRadiationDennouAGCM=<T>.
                     :
   *** MESSAGE [HistoryClose] ***  "TotEngy.nc" is closed
   *** MESSAGE [HistoryClose] ***  "Enstro.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   surface_properties     0.904434E-07
   dynamics_hspl_vas83    0.380824E+01
   mass_fixer             0.132011E+00
   check_prog_vars        0.360025E-01
   timefilter_asselin19   0.760067E-01
   others                 0.212009E+00
   ------------------------------------------------
          TOTAL TIME =    0.426427E+01

In this case, 5 days integration is performed. 
Resolution is T21L20 (Number of grid points of longitude, latitude is 
64, 32, and number of vertical layer is 20). 
History data are output to 'U.nc' and 'Temp.nc' etc., 
and a restart data is output to 'restart.nc'. 

=end EN


=begin JA
== ʸ
=end JA

=begin EN
== References
=end EN

=begin
* Polvani, L. M., R. K. Scott, S. J. Thomas, 2004:
  Numerically converged solutions of the global primitive equations for testing 
  the dynamical core of atmospheric GCMs, 
  ((|J. Atmos. Sci.|)), ((*132*)), 2539--2552.
=end


=begin HTML
<hr />
<small>
  $Id: exp-p04.rd,v 1.4 2011-02-20 01:09:04 yot Exp $
</small>
=end HTML

